//sky:
textures/qcdm1/stormydays
{
	q3map_lightImage env/qcdm1/stormydays_up.tga
	//direct sunlights:
	q3map_sunExt .89 .98 1 28 0 40 3 12 //R G B inten deg elev dev samp
	q3map_sunExt .89 .98 1 28 90 40 3 12 //2nd direct sun
	q3map_sunExt .89 .98 1 28 180 40 3 12 //3rd direct sun
	q3map_sunExt .89 .98 1 16 0 78 3 12 //3.5rd direct sun (onto RA jp)
	q3map_sunExt .89 .98 1 28 270 40 3 12 //4th direct sun
	q3map_lightmapFilterRadius 0 4 //0 8 self other
	//sky surface
	q3map_skyLight 185 3 //200 6 amount iterations

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage env/qcdm1/stormydays_up.tga

	skyparms env/qcdm1/stormydays - -
}

//extlm shaders 4 basic texs:
textures/qcdm1/brix0029
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/brix0029.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

textures/qcdm1/conc0112
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/conc0112.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

textures/qcdm1/ph_conc
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/ph_conc.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

textures/qcdm1/ph_conc512
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/ph_conc512.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

textures/qcdm1/metal_2
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/metal_2.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

textures/qcdm1/flr_004
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/flr_004.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

textures/qcdm1/flr0017_
{
 	q3map_lightmapSize 2048 1024
 	q3map_lightmapBrightness 2.0
    {
   	 map textures/qcdm1/flr0017_.tga
   	 rgbGen identity
    }
    {    
tcgen lightmap
   	map $lightmap
   	blendFunc GL_DST_COLOR GL_ZERO
   	rgbGen identityLighting
    }
}

//extlm water:
textures/qcdm1/ph_slime
{
	qer_editorimage textures/qcdm1/ph_slime.tga
	q3map_lightmapSize 2048 1024
	q3map_lightmapBrightness 2.0
	q3map_globaltexture
	qer_trans .7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	sort 6
	cull disable
	nopicmip
	{
		map textures/qcdm1/ph_slime_1.tga
		blendfunc GL_ONE GL_ONE //SRC_COLOR
		tcMod scroll .02 .02
                       
	}
	{
		map textures/qcdm1/ph_poolpass.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .6
		tcMod scroll .06 .04
	}
	{
		map textures/qcdm1/ph_slime.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll .05 .05
	}
	{
		tcgen lightmap		
		map $lightmap
		rgbGen identityLighting
		blendfunc GL_DST_COLOR GL_ZERO
        }
               
}

//fog:
textures/qcdm1/oldfog
	{
	qer_editorimage textures/qcdm1/oldfog.tga
	qer_trans .3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	cull disable
	nopicmip
	fogparms ( 0.12 0.115 0.1 ) 200
	}

//gradient fog
textures/qcdm1/gfog
{
	qer_editorimage textures/qcdm1/gfog.tga
	qer_trans .3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	cull disable
	nopicmip
	fogparms ( 0.12 0.115 0.1 ) 500
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/qcdm1/gfog.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }    
    {
        clampMap textures/qcdm1/smooth_fog.tga
        tcGen vector ( 0.001 0 0 ) ( 0 0 -0.000311 )
        tcmod transform 0 0 0 1 0 0.5
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

//fan:
textures/qcdm1/ph_fanrust
{
	qer_editorimage textures/qcdm1/ph_fanrust.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/qcdm1/ph_fanrust.tga
		tcMod rotate 150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/qcdm1/chain-fence
{      
	q3map_vertexScale 1.50   
	cull disable
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nolightmap  
	{
		map textures/qcdm1/chain-fence.tga 
                alphaFunc GE128
                depthWrite
		rgbGen vertex
	}
}

textures/qcdm1/hiptele
{
	qer_editorimage textures/qcdm1/hiptele.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_backSplash 10 25	
	{
		map textures/qcdm1/hiptele_scan.jpg
		blendfunc add		
		rgbGen identity
		tcMod Scroll 0 -1
	}		
	{
		map textures/qcdm1/hiptele_scan2.jpg
		blendfunc add		
		rgbGen identity
		tcMod Scroll 0 -0.35
		rgbGen wave sin .8 .2 0 1		
	}			
	{
		map textures/qcdm1/hiptele.jpg
		blendfunc add		
		rgbGen identity
		rgbGen wave sin .8 .2 0 1
	}
}

textures/qcdm1/hipteleglow
{
	qer_editorimage textures/qcdm1/hipteleglow.jpg
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid	
	surfaceparm nomarks
	cull disable
	{
		map textures/qcdm1/hipteleglow.jpg
		blendfunc add
		rgbGen identity
		rgbGen wave sin .8 .2 0 1		
	}
}

//3b teleporter
textures/qcdm1/tele_cpm
{
	qer_editorimage textures/qcdm1/tele_cpm.jpg
	qer_trans 0.5
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	q3map_surfacelight 285
	q3map_backSplash 10 25
	{
		map textures/qcdm1/tele_blnd.jpg
		tcMod turb 0 0.2 0 0.025
		rgbGen identity
	}
	{
		map textures/qcdm1/tele_cpm.jpg
		blendFunc blend
		rgbGen wave sin 0.75 0.25 0 0.125
		alphaGen wave sin 0.5 0.1 0 0.125
	}
}

textures/qcdm1/banner_
{
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	nopicmip
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 2 0 .2
	deformVertexes wave 100 sin 0 2 0 .7
    {
        map textures/qcdm1/banner_.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
    	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//lights:
textures/qcdm1/glare
{
	surfaceparm nomarks	
	q3map_surfacelight 330
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/qcdm1/glare.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/qcdm1/glare.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/qcdm1/ph_sq_lt
{
	qer_editorimage textures/qcdm1/ph_sq_lt.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/qcdm1/ph_sq_lt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/qcdm1/ph_sq_lt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/qcdm1/ph_light1
{
	qer_editorimage textures/qcdm1/ph_light1.tga
	q3map_surfacelight 900
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/qcdm1/ph_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/qcdm1/ph_light1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/qcdm1/jp_glow
	{
	qer_editorimage textures/sfx/xian_dm3padwall.tga
        nopicmip
	
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/qcdm1/jp_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 2 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
	
}

//stain, tele dests, item decals, etc:
textures/qcdm1/dec_tab_d
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/qcdm1/dec_tab_d.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/qcdm1/dec_tab_e
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/qcdm1/dec_tab_e.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/qcdm1/dec_flr012
{
   nopicmip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/qcdm1/dec_flr012.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/qcdm1/dec_plast1
{
    	surfaceparm trans
	surfaceparm nonsolid
        surfaceparm nomarks
	polygonoffset	
	sort 6
	nopicmip
	{
		map textures/qcdm1/dec_plast1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/qcdm1/dec_plast2
{
    	surfaceparm trans
	surfaceparm nonsolid
        surfaceparm nomarks
	polygonoffset	
	sort 6
	nopicmip
	{
		map textures/qcdm1/dec_plast2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/qcdm1/t_arrdec
{
	qer_editorimage textures/qcdm1/t_arrdec.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 300
	polygonoffset
	nopicmip
	cull none

	{
		map textures/qcdm1/t_arrdec.tga
		blendFunc add
		rgbGen wave triangle 0.4 0.25 0 0.4
	}
}

textures/qcdm1/ra-dec
{
	qer_editorimage textures/qcdm1/ra-dec.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 300
	polygonoffset
	nopicmip
	cull none

	{
		map textures/qcdm1/ra-dec.tga
		blendFunc add
		rgbGen wave sin .5 .45 0 .6
	}
}

textures/qcdm1/mh-dec
{
	qer_editorimage textures/qcdm1/mh-dec.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 300
	polygonoffset
	nopicmip
	cull none

	{
		map textures/qcdm1/mh-dec.tga
		blendFunc add
		rgbGen wave sin .5 .45 0 .6
	}
}

textures/qcdm1/ya-dec
{
	qer_editorimage textures/qcdm1/ya-dec.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 300
	polygonoffset
	nopicmip
	cull none

	{
		map textures/qcdm1/ya-dec.tga
		blendFunc add
		rgbGen wave sin .5 .45 0 .6
	}
}

textures/qcdm1/ws-dec
{
	qer_editorimage textures/qcdm1/ws-dec.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 300
	polygonoffset
	nopicmip
	cull none

	{
		map textures/qcdm1/ws-dec.tga
		blendFunc add
		rgbGen wave sin .5 .45 0 .6
	}
}

//JUMPPAD SHADER BY HIPSHOT:
textures/qcdm1/jp_arrow1
{
	qer_editorimage textures/qcdm1/jp_arrow.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 1 .8
	{
		clampmap textures/qcdm1/jp_arrow.tga
		rgbGen wave sawtooth 1 -1 1 .8
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

textures/qcdm1/jp_arrow2
{
	qer_editorimage textures/qcdm1/jp_arrow.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 .66 .8
	{
		clampmap textures/qcdm1/jp_arrow.tga
		rgbGen wave sawtooth 1 -1 .66 .8
		//blendfunc add
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

textures/qcdm1/jp_arrow3
{
	qer_editorimage textures/qcdm1/jp_arrow.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 .33 .8
	{
		clampmap textures/qcdm1/jp_arrow.tga
		rgbGen wave sawtooth 1 -1 .33 .8
		//blendfunc add
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

textures/qcdm1/jp_arrow4
{
	qer_editorimage textures/qcdm1/jp_arrow.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 0 .8
	{
		clampmap textures/qcdm1/jp_arrow.tga
		rgbGen wave sawtooth 1 -1 0 .8
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

//nonsolid:
textures/qcdm1/rust_ns
{
	qer_editorimage textures/qcdm1/rust_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/qcdm1/rust_ns.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//diff trash:
textures/qcdm1/lava_toxic
{
	qer_editorimage textures/qcdm1/lava_toxic.jpg
	//qer_trans 0.45
	q3map_globaltexture
	q3map_lightRGB .73 .7 .45 //browny
	//surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
        q3map_lightmapSampleOffset -8
	q3map_surfacelight 100
        q3map_backSplash 0 4
        nopicmip
	tesssize 32
	cull disable
	deformVertexes wave 40 sin -1.5 1.5 0.07 0.13
	{
		map textures/qcdm1/lava_toxic.jpg
		tcmod scale 1.75 1.75
		tcMod turb 0 0.0625 0 0.03125
	}
}

textures/qcdm1/tele_trans
	{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .4
		q3map_surfacelight 15
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	}